#include <boost/filesystem/operations.hpp>
#include <iostream>

int main(int argc,char **argv) {
  if(argc<2) {
    std::cerr << "Usage: " << *argv << " <directory> ..." << std::endl;
    return 1;
  }

  try {
    for(int i=1;i<argc;++i)
      boost::filesystem::create_directory(argv[i]);
  }
  catch(std::exception &e) {
    std::cerr << "Error: " << e.what() << std::endl;
    return 1;
  }
}
